/* PasswordDialog.c generated by valac 0.40.7, the Vala compiler
 * generated from PasswordDialog.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2016 elementary LLC. (https://elementary.io)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */


#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <gsignond.h>
#include <glib/gi18n-lib.h>
#include <gdk/gdk.h>


#define ONLINE_ACCOUNTS_TYPE_DIALOG (online_accounts_dialog_get_type ())
#define ONLINE_ACCOUNTS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog))
#define ONLINE_ACCOUNTS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialogClass))
#define ONLINE_ACCOUNTS_IS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG))
#define ONLINE_ACCOUNTS_IS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_TYPE_DIALOG))
#define ONLINE_ACCOUNTS_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialogClass))

typedef struct _OnlineAccountsDialog OnlineAccountsDialog;
typedef struct _OnlineAccountsDialogClass OnlineAccountsDialogClass;
typedef struct _OnlineAccountsDialogPrivate OnlineAccountsDialogPrivate;

#define ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG (online_accounts_password_dialog_get_type ())
#define ONLINE_ACCOUNTS_PASSWORD_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, OnlineAccountsPasswordDialog))
#define ONLINE_ACCOUNTS_PASSWORD_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, OnlineAccountsPasswordDialogClass))
#define ONLINE_ACCOUNTS_IS_PASSWORD_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG))
#define ONLINE_ACCOUNTS_IS_PASSWORD_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG))
#define ONLINE_ACCOUNTS_PASSWORD_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, OnlineAccountsPasswordDialogClass))

typedef struct _OnlineAccountsPasswordDialog OnlineAccountsPasswordDialog;
typedef struct _OnlineAccountsPasswordDialogClass OnlineAccountsPasswordDialogClass;
typedef struct _OnlineAccountsPasswordDialogPrivate OnlineAccountsPasswordDialogPrivate;
enum  {
	ONLINE_ACCOUNTS_PASSWORD_DIALOG_0_PROPERTY,
	ONLINE_ACCOUNTS_PASSWORD_DIALOG_NUM_PROPERTIES
};
static GParamSpec* online_accounts_password_dialog_properties[ONLINE_ACCOUNTS_PASSWORD_DIALOG_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
enum  {
	ONLINE_ACCOUNTS_PASSWORD_DIALOG_REFRESH_CAPTCHA_NEEDED_SIGNAL,
	ONLINE_ACCOUNTS_PASSWORD_DIALOG_NUM_SIGNALS
};
static guint online_accounts_password_dialog_signals[ONLINE_ACCOUNTS_PASSWORD_DIALOG_NUM_SIGNALS] = {0};

struct _OnlineAccountsDialog {
	GtkGrid parent_instance;
	OnlineAccountsDialogPrivate * priv;
	GHashTable* parameters;
	gchar* request_id;
	GSignondSignonuiError error_code;
};

struct _OnlineAccountsDialogClass {
	GtkGridClass parent_class;
	GHashTable* (*get_reply) (OnlineAccountsDialog* self);
	gboolean (*set_parameters) (OnlineAccountsDialog* self, GHashTable* params);
	gboolean (*refresh_captcha) (OnlineAccountsDialog* self, const gchar* uri);
};

struct _OnlineAccountsPasswordDialog {
	OnlineAccountsDialog parent_instance;
	OnlineAccountsPasswordDialogPrivate * priv;
};

struct _OnlineAccountsPasswordDialogClass {
	OnlineAccountsDialogClass parent_class;
};

struct _OnlineAccountsPasswordDialogPrivate {
	GtkEntry* url_entry;
	GtkEntry* username_entry;
	GtkEntry* password_entry;
	GtkEntry* new_password_entry;
	GtkEntry* confirm_password_entry;
	GtkEntry* captcha_entry;
	GtkButton* cancel_button;
	GtkButton* save_button;
	GtkLinkButton* forgot_button;
	GtkLinkButton* signup_button;
	GtkImage* captcha_image;
	GtkLabel* message_label;
	GtkLabel* provider_label;
	gboolean query_url;
	gboolean query_username;
	gboolean query_password;
	gboolean query_confirm;
	gboolean query_captcha;
	gboolean is_username_valid;
	gboolean is_password_valid;
	gboolean is_new_password_valid;
	gboolean is_captcha_valid;
	gchar* display_name;
	gchar* old_password;
	gchar* forgot_password_url;
	gchar* signup_url;
};


static gpointer online_accounts_password_dialog_parent_class = NULL;

GType online_accounts_dialog_get_type (void) G_GNUC_CONST;
GType online_accounts_password_dialog_get_type (void) G_GNUC_CONST;
#define ONLINE_ACCOUNTS_PASSWORD_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, OnlineAccountsPasswordDialogPrivate))
OnlineAccountsPasswordDialog* online_accounts_password_dialog_new (GHashTable* params);
OnlineAccountsPasswordDialog* online_accounts_password_dialog_construct (GType object_type,
                                                                         GHashTable* params);
OnlineAccountsDialog* online_accounts_dialog_construct (GType object_type,
                                                        GHashTable* parameter);
gboolean online_accounts_dialog_set_parameters (OnlineAccountsDialog* self,
                                                GHashTable* params);
static void __lambda43_ (OnlineAccountsPasswordDialog* self);
static void ___lambda43__gtk_entry_activate (GtkEntry* _sender,
                                      gpointer self);
static void __lambda44_ (OnlineAccountsPasswordDialog* self);
static void ___lambda44__gtk_button_clicked (GtkButton* _sender,
                                      gpointer self);
static void __lambda45_ (OnlineAccountsPasswordDialog* self);
static void ___lambda45__gtk_button_clicked (GtkButton* _sender,
                                      gpointer self);
static gboolean online_accounts_password_dialog_real_set_parameters (OnlineAccountsDialog* base,
                                                              GHashTable* params);
static gboolean online_accounts_password_dialog_validate_params (OnlineAccountsPasswordDialog* self,
                                                          GHashTable* params);
#define ONLINE_ACCOUNTS_KEY_USERNAME "UserName"
static gboolean ___lambda36_ (OnlineAccountsPasswordDialog* self);
static gboolean ____lambda36__gtk_link_button_activate_link (GtkLinkButton* _sender,
                                                      gpointer self);
#define ONLINE_ACCOUNTS_KEY_MESSAGE "Message"
#define ONLINE_ACCOUNTS_KEY_CAPTCHA_URL "CaptchaUrl"
gboolean online_accounts_dialog_refresh_captcha (OnlineAccountsDialog* self,
                                                 const gchar* uri);
static void ___lambda37_ (OnlineAccountsPasswordDialog* self);
static void online_accounts_password_dialog_reset_ok (OnlineAccountsPasswordDialog* self);
static void ____lambda37__gtk_editable_changed (GtkEditable* _sender,
                                         gpointer self);
static void ___lambda38_ (OnlineAccountsPasswordDialog* self);
static void ____lambda38__gtk_editable_changed (GtkEditable* _sender,
                                         gpointer self);
static void ___lambda39_ (OnlineAccountsPasswordDialog* self);
static void ____lambda39__gtk_editable_changed (GtkEditable* _sender,
                                         gpointer self);
static void ___lambda40_ (OnlineAccountsPasswordDialog* self);
static void ____lambda40__gtk_editable_changed (GtkEditable* _sender,
                                         gpointer self);
static void ___lambda41_ (OnlineAccountsPasswordDialog* self);
static void ____lambda41__gtk_editable_changed (GtkEditable* _sender,
                                         gpointer self);
static void ___lambda42_ (OnlineAccountsPasswordDialog* self,
                   GtkEntryIconPosition pos,
                   GdkEventButton* event);
static void ____lambda42__gtk_entry_icon_release (GtkEntry* _sender,
                                           GtkEntryIconPosition icon_pos,
                                           GdkEventButton* event,
                                           gpointer self);
#define ONLINE_ACCOUNTS_KEY_QUERY_USERNAME "QueryUserName"
#define ONLINE_ACCOUNTS_KEY_QUERY_URL "QueryUrl"
#define ONLINE_ACCOUNTS_KEY_QUERY_PASSWORD "QueryPassword"
#define ONLINE_ACCOUNTS_KEY_CONFIRM "Confirm"
#define ONLINE_ACCOUNTS_KEY_PASSWORD "Secret"
#define ONLINE_ACCOUNTS_KEY_DISPLAY_NAME "DisplayName"
#define ONLINE_ACCOUNTS_KEY_FORGOT_PASSWORD_URL "ForgotPasswordUrl"
#define ONLINE_ACCOUNTS_KEY_SIGNUP_URL "SignUpURL"
static void __lambda35_ (OnlineAccountsPasswordDialog* self,
                  const gchar* key);
static void ___lambda35__gfunc (gconstpointer data,
                         gpointer self);
static gboolean online_accounts_password_dialog_real_refresh_captcha (OnlineAccountsDialog* base,
                                                               const gchar* uri);
static GHashTable* online_accounts_password_dialog_real_get_reply (OnlineAccountsDialog* base);
GHashTable* online_accounts_dialog_get_reply (OnlineAccountsDialog* self);
static void online_accounts_password_dialog_finalize (GObject * obj);


static void
__lambda43_ (OnlineAccountsPasswordDialog* self)
{
	GtkButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->save_button;
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp1_ = gtk_widget_get_sensitive ((GtkWidget*) _tmp0_);
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp2_ = _tmp1_;
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp2_) {
#line 217 "PasswordDialog.c"
		GtkButton* _tmp3_;
#line 163 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp3_ = self->priv->save_button;
#line 163 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_signal_emit_by_name (_tmp3_, "activate");
#line 223 "PasswordDialog.c"
	}
}


static void
___lambda43__gtk_entry_activate (GtkEntry* _sender,
                                 gpointer self)
{
#line 161 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	__lambda43_ ((OnlineAccountsPasswordDialog*) self);
#line 234 "PasswordDialog.c"
}


static void
__lambda44_ (OnlineAccountsPasswordDialog* self)
{
#line 166 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_signal_emit_by_name ((OnlineAccountsDialog*) self, "finished");
#line 243 "PasswordDialog.c"
}


static void
___lambda44__gtk_button_clicked (GtkButton* _sender,
                                 gpointer self)
{
#line 166 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	__lambda44_ ((OnlineAccountsPasswordDialog*) self);
#line 253 "PasswordDialog.c"
}


static void
__lambda45_ (OnlineAccountsPasswordDialog* self)
{
#line 168 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	((OnlineAccountsDialog*) self)->error_code = SIGNONUI_ERROR_CANCELED;
#line 169 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_signal_emit_by_name ((OnlineAccountsDialog*) self, "finished");
#line 170 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 266 "PasswordDialog.c"
}


static void
___lambda45__gtk_button_clicked (GtkButton* _sender,
                                 gpointer self)
{
#line 167 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	__lambda45_ ((OnlineAccountsPasswordDialog*) self);
#line 276 "PasswordDialog.c"
}


OnlineAccountsPasswordDialog*
online_accounts_password_dialog_construct (GType object_type,
                                           GHashTable* params)
{
	OnlineAccountsPasswordDialog * self = NULL;
	GtkStyleContext* _tmp0_;
	GtkLabel* _tmp1_;
	GtkLabel* _tmp2_;
	GtkStyleContext* _tmp3_;
	GtkLabel* _tmp4_;
	GtkEntry* _tmp5_;
	GtkEntry* _tmp6_;
	GtkEntry* _tmp7_;
	GtkEntry* _tmp8_;
	GtkEntry* _tmp9_;
	GtkEntry* _tmp10_;
	GtkEntry* _tmp11_;
	GtkEntry* _tmp12_;
	GtkEntry* _tmp13_;
	GtkEntry* _tmp14_;
	GtkEntry* _tmp15_;
	GtkEntry* _tmp16_;
	GtkEntry* _tmp17_;
	GtkEntry* _tmp18_;
	GtkEntry* _tmp19_;
	GtkEntry* _tmp20_;
	GtkEntry* _tmp21_;
	GtkEntry* _tmp22_;
	GtkGrid* entry_grid = NULL;
	GtkGrid* _tmp23_;
	GtkGrid* _tmp24_;
	GtkStyleContext* _tmp25_;
	GtkGrid* _tmp26_;
	GtkLinkButton* _tmp27_;
	GtkEntry* _tmp28_;
	GtkEntry* _tmp29_;
	GtkEntry* _tmp30_;
	GtkEntry* _tmp31_;
	GtkEntry* _tmp32_;
	GtkLabel* _tmp33_;
	GtkLabel* _tmp34_;
	GtkButton* _tmp35_;
	GtkButton* _tmp36_;
	GtkButton* _tmp37_;
	GtkButton* _tmp38_;
	GtkStyleContext* _tmp39_;
	GtkButton* _tmp40_;
	GtkLinkButton* _tmp41_;
	GtkLabel* _tmp42_;
	gboolean _tmp43_;
	GtkGrid* _tmp45_;
	gboolean _tmp46_;
	gboolean _tmp49_;
	GtkGrid* save_box = NULL;
	GtkGrid* _tmp52_;
	GtkGrid* _tmp53_;
	GtkGrid* _tmp54_;
	GtkGrid* _tmp55_;
	GtkButton* _tmp56_;
	GtkGrid* _tmp57_;
	GtkButton* _tmp58_;
	GtkGrid* _tmp59_;
	const gchar* _tmp60_;
	const gchar* _tmp62_;
	gboolean _tmp64_;
	gboolean _tmp69_;
	GtkLabel* _tmp72_;
	GtkEntry* _tmp73_;
	GtkButton* _tmp74_;
	GtkButton* _tmp75_;
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_return_val_if_fail (params != NULL, NULL);
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self = (OnlineAccountsPasswordDialog*) online_accounts_dialog_construct (object_type, params);
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) self, GTK_ALIGN_CENTER);
#line 59 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) self, GTK_ALIGN_CENTER);
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_grid_set_column_spacing ((GtkGrid*) self, 12);
#line 61 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, 6);
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) self, GTK_ORIENTATION_VERTICAL);
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp0_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_style_context_add_class (_tmp0_, "login");
#line 65 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp1_ = (GtkLabel*) gtk_label_new ("");
#line 65 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 65 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->provider_label);
#line 65 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->provider_label = _tmp1_;
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp2_ = self->priv->provider_label;
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp3_ = gtk_widget_get_style_context ((GtkWidget*) _tmp2_);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_style_context_add_class (_tmp3_, "h1");
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp4_ = self->priv->provider_label;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp4_, 24);
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp5_ = (GtkEntry*) gtk_entry_new ();
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp5_);
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->url_entry);
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->url_entry = _tmp5_;
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp6_ = self->priv->url_entry;
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_placeholder_text (_tmp6_, _ ("URL"));
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp7_ = self->priv->url_entry;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_input_purpose (_tmp7_, GTK_INPUT_PURPOSE_URL);
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp8_ = (GtkEntry*) gtk_entry_new ();
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp8_);
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->username_entry);
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->username_entry = _tmp8_;
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp9_ = self->priv->username_entry;
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_placeholder_text (_tmp9_, _ ("Email"));
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp10_ = self->priv->username_entry;
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_set ((GtkWidget*) _tmp10_, "width-request", 256, NULL);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp11_ = (GtkEntry*) gtk_entry_new ();
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp11_);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->password_entry);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->password_entry = _tmp11_;
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp12_ = self->priv->password_entry;
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_placeholder_text (_tmp12_, _ ("Password"));
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp13_ = self->priv->password_entry;
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_visibility (_tmp13_, FALSE);
#line 80 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp14_ = self->priv->password_entry;
#line 80 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_input_purpose (_tmp14_, GTK_INPUT_PURPOSE_PASSWORD);
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp15_ = (GtkEntry*) gtk_entry_new ();
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp15_);
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->new_password_entry);
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->new_password_entry = _tmp15_;
#line 83 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp16_ = self->priv->new_password_entry;
#line 83 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_placeholder_text (_tmp16_, _ ("New Password"));
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp17_ = self->priv->new_password_entry;
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_visibility (_tmp17_, FALSE);
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp18_ = self->priv->new_password_entry;
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_input_purpose (_tmp18_, GTK_INPUT_PURPOSE_PASSWORD);
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp19_ = (GtkEntry*) gtk_entry_new ();
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp19_);
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->confirm_password_entry);
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->confirm_password_entry = _tmp19_;
#line 88 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp20_ = self->priv->confirm_password_entry;
#line 88 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_placeholder_text (_tmp20_, _ ("Confirm Password"));
#line 89 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp21_ = self->priv->confirm_password_entry;
#line 89 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_visibility (_tmp21_, FALSE);
#line 90 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp22_ = self->priv->confirm_password_entry;
#line 90 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_input_purpose (_tmp22_, GTK_INPUT_PURPOSE_PASSWORD);
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp23_ = (GtkGrid*) gtk_grid_new ();
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp23_);
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	entry_grid = _tmp23_;
#line 93 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp24_ = entry_grid;
#line 93 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp25_ = gtk_widget_get_style_context ((GtkWidget*) _tmp24_);
#line 93 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_style_context_add_class (_tmp25_, GTK_STYLE_CLASS_LINKED);
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp26_ = entry_grid;
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp26_, GTK_ORIENTATION_VERTICAL);
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp27_ = (GtkLinkButton*) gtk_link_button_new_with_label ("", _ ("Forgot password…"));
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp27_);
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->forgot_button);
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->forgot_button = _tmp27_;
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp28_ = (GtkEntry*) gtk_entry_new ();
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp28_);
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->captcha_entry);
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->captcha_entry = _tmp28_;
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp29_ = self->priv->captcha_entry;
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_set (_tmp29_, "secondary-icon-name", "view-refresh", NULL);
#line 100 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp30_ = self->priv->captcha_entry;
#line 100 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_set (_tmp30_, "secondary-icon-activatable", TRUE, NULL);
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp31_ = self->priv->captcha_entry;
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_set (_tmp31_, "secondary-icon-tooltip-text", _ ("Refresh Captcha"), NULL);
#line 102 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp32_ = self->priv->captcha_entry;
#line 102 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp32_, _ ("Enter above text here"));
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp33_ = (GtkLabel*) gtk_label_new ("");
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp33_);
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->message_label);
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->message_label = _tmp33_;
#line 105 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp34_ = self->priv->message_label;
#line 105 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp34_, TRUE);
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp35_ = (GtkButton*) gtk_button_new_with_label (_ ("Cancel"));
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp35_);
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->cancel_button = _tmp35_;
#line 108 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp36_ = self->priv->cancel_button;
#line 108 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp36_, TRUE);
#line 109 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp37_ = (GtkButton*) gtk_button_new_with_label (_ ("Log In"));
#line 109 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp37_);
#line 109 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->save_button);
#line 109 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->save_button = _tmp37_;
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp38_ = self->priv->save_button;
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp39_ = gtk_widget_get_style_context ((GtkWidget*) _tmp38_);
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_style_context_add_class (_tmp39_, GTK_STYLE_CLASS_SUGGESTED_ACTION);
#line 111 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp40_ = self->priv->save_button;
#line 111 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp40_, TRUE);
#line 113 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp41_ = (GtkLinkButton*) gtk_link_button_new_with_label ("", _ ("Don't have an account? Sign Up"));
#line 113 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp41_);
#line 113 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->signup_button);
#line 113 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->signup_button = _tmp41_;
#line 115 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	online_accounts_dialog_set_parameters ((OnlineAccountsDialog*) self, params);
#line 117 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp42_ = self->priv->provider_label;
#line 117 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp42_);
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp43_ = self->priv->query_url;
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp43_) {
#line 586 "PasswordDialog.c"
		GtkEntry* _tmp44_;
#line 120 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp44_ = self->priv->url_entry;
#line 120 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp44_);
#line 592 "PasswordDialog.c"
	}
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp45_ = entry_grid;
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp45_);
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp46_ = self->priv->query_username;
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp46_) {
#line 602 "PasswordDialog.c"
		GtkGrid* _tmp47_;
		GtkEntry* _tmp48_;
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp47_ = entry_grid;
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp48_ = self->priv->username_entry;
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp47_, (GtkWidget*) _tmp48_);
#line 611 "PasswordDialog.c"
	}
#line 129 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp49_ = self->priv->query_password;
#line 129 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp49_) {
#line 617 "PasswordDialog.c"
		GtkGrid* _tmp50_;
		GtkEntry* _tmp51_;
#line 130 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp50_ = entry_grid;
#line 130 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp51_ = self->priv->password_entry;
#line 130 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp50_, (GtkWidget*) _tmp51_);
#line 626 "PasswordDialog.c"
	}
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp52_ = (GtkGrid*) gtk_grid_new ();
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp52_);
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	save_box = _tmp52_;
#line 134 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp53_ = save_box;
#line 134 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp53_, 12);
#line 135 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp54_ = save_box;
#line 135 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_grid_set_column_spacing (_tmp54_, 6);
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp55_ = save_box;
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp56_ = self->priv->cancel_button;
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp55_, (GtkWidget*) _tmp56_);
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp57_ = save_box;
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp58_ = self->priv->save_button;
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp57_, (GtkWidget*) _tmp58_);
#line 139 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp59_ = save_box;
#line 139 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp59_);
#line 141 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp60_ = self->priv->forgot_password_url;
#line 141 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp60_ != NULL) {
#line 662 "PasswordDialog.c"
		GtkLinkButton* _tmp61_;
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp61_ = self->priv->forgot_button;
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp61_);
#line 668 "PasswordDialog.c"
	}
#line 145 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp62_ = self->priv->signup_url;
#line 145 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp62_ != NULL) {
#line 674 "PasswordDialog.c"
		GtkLinkButton* _tmp63_;
#line 146 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp63_ = self->priv->signup_button;
#line 146 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp63_);
#line 680 "PasswordDialog.c"
	}
#line 149 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp64_ = self->priv->query_confirm;
#line 149 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp64_) {
#line 686 "PasswordDialog.c"
		GtkGrid* _tmp65_;
		GtkEntry* _tmp66_;
		GtkGrid* _tmp67_;
		GtkEntry* _tmp68_;
#line 150 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp65_ = entry_grid;
#line 150 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp66_ = self->priv->new_password_entry;
#line 150 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp65_, (GtkWidget*) _tmp66_);
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp67_ = entry_grid;
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp68_ = self->priv->confirm_password_entry;
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp67_, (GtkWidget*) _tmp68_);
#line 703 "PasswordDialog.c"
	}
#line 154 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp69_ = self->priv->query_captcha;
#line 154 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp69_) {
#line 709 "PasswordDialog.c"
		GtkImage* _tmp70_;
		GtkEntry* _tmp71_;
#line 155 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp70_ = self->priv->captcha_image;
#line 155 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp70_);
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp71_ = self->priv->captcha_entry;
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp71_);
#line 720 "PasswordDialog.c"
	}
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp72_ = self->priv->message_label;
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp72_);
#line 161 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp73_ = self->priv->password_entry;
#line 161 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_signal_connect_object (_tmp73_, "activate", (GCallback) ___lambda43__gtk_entry_activate, self, 0);
#line 166 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp74_ = self->priv->save_button;
#line 166 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_signal_connect_object (_tmp74_, "clicked", (GCallback) ___lambda44__gtk_button_clicked, self, 0);
#line 167 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp75_ = self->priv->cancel_button;
#line 167 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_signal_connect_object (_tmp75_, "clicked", (GCallback) ___lambda45__gtk_button_clicked, self, 0);
#line 173 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (save_box);
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (entry_grid);
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	return self;
#line 746 "PasswordDialog.c"
}


OnlineAccountsPasswordDialog*
online_accounts_password_dialog_new (GHashTable* params)
{
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	return online_accounts_password_dialog_construct (ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, params);
#line 755 "PasswordDialog.c"
}


static gboolean
___lambda36_ (OnlineAccountsPasswordDialog* self)
{
	gboolean result = FALSE;
#line 195 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_warning ("PasswordDialog.vala:195: forgot password");
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	((OnlineAccountsDialog*) self)->error_code = SIGNONUI_ERROR_FORGOT_PASSWORD;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_signal_emit_by_name ((OnlineAccountsDialog*) self, "finished");
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	result = FALSE;
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	return result;
#line 773 "PasswordDialog.c"
}


static gboolean
____lambda36__gtk_link_button_activate_link (GtkLinkButton* _sender,
                                             gpointer self)
{
	gboolean result;
	result = ___lambda36_ ((OnlineAccountsPasswordDialog*) self);
#line 194 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	return result;
#line 785 "PasswordDialog.c"
}


static void
___lambda37_ (OnlineAccountsPasswordDialog* self)
{
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 221 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->username_entry;
#line 221 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 221 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp2_ = _tmp1_;
#line 221 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->is_username_valid = g_utf8_strlen (_tmp2_, (gssize) -1) > 0;
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_reset_ok (self);
#line 805 "PasswordDialog.c"
}


static void
____lambda37__gtk_editable_changed (GtkEditable* _sender,
                                    gpointer self)
{
#line 220 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	___lambda37_ ((OnlineAccountsPasswordDialog*) self);
#line 815 "PasswordDialog.c"
}


static void
___lambda38_ (OnlineAccountsPasswordDialog* self)
{
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_;
#line 226 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->password_entry;
#line 226 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 226 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp2_ = _tmp1_;
#line 226 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->is_password_valid = g_utf8_strlen (_tmp2_, (gssize) -1) > 0;
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp5_ = self->priv->query_confirm;
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp5_) {
#line 840 "PasswordDialog.c"
		gboolean _tmp6_;
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp6_ = self->priv->is_password_valid;
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp4_ = _tmp6_;
#line 846 "PasswordDialog.c"
	} else {
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp4_ = FALSE;
#line 850 "PasswordDialog.c"
	}
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp4_) {
#line 854 "PasswordDialog.c"
		const gchar* _tmp7_;
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp7_ = self->priv->old_password;
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp3_ = _tmp7_ != NULL;
#line 860 "PasswordDialog.c"
	} else {
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp3_ = FALSE;
#line 864 "PasswordDialog.c"
	}
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp3_) {
#line 868 "PasswordDialog.c"
		GCompareFunc _tmp8_;
		const gchar* _tmp9_;
		GtkEntry* _tmp10_;
		const gchar* _tmp11_;
		const gchar* _tmp12_;
#line 228 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp8_ = g_strcmp0;
#line 228 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp9_ = self->priv->old_password;
#line 228 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp10_ = self->priv->password_entry;
#line 228 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp11_ = gtk_entry_get_text (_tmp10_);
#line 228 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp12_ = _tmp11_;
#line 228 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		self->priv->is_password_valid = _tmp8_ (_tmp9_, _tmp12_) == 0;
#line 886 "PasswordDialog.c"
	}
#line 230 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_reset_ok (self);
#line 890 "PasswordDialog.c"
}


static void
____lambda38__gtk_editable_changed (GtkEditable* _sender,
                                    gpointer self)
{
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	___lambda38_ ((OnlineAccountsPasswordDialog*) self);
#line 900 "PasswordDialog.c"
}


static void
___lambda39_ (OnlineAccountsPasswordDialog* self)
{
	gchar* new_password = NULL;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* confirm = NULL;
	GtkEntry* _tmp4_;
	const gchar* _tmp5_;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	gboolean _tmp8_ = FALSE;
	gboolean _tmp9_ = FALSE;
	const gchar* _tmp10_;
#line 236 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->new_password_entry;
#line 236 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 236 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp2_ = _tmp1_;
#line 236 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 236 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	new_password = _tmp3_;
#line 237 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp4_ = self->priv->confirm_password_entry;
#line 237 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp5_ = gtk_entry_get_text (_tmp4_);
#line 237 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp6_ = _tmp5_;
#line 237 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp7_ = g_strdup (_tmp6_);
#line 237 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	confirm = _tmp7_;
#line 238 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp10_ = new_password;
#line 238 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (g_utf8_strlen (_tmp10_, (gssize) -1) > 0) {
#line 944 "PasswordDialog.c"
		const gchar* _tmp11_;
#line 239 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp11_ = confirm;
#line 239 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp9_ = g_utf8_strlen (_tmp11_, (gssize) -1) > 0;
#line 950 "PasswordDialog.c"
	} else {
#line 238 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp9_ = FALSE;
#line 954 "PasswordDialog.c"
	}
#line 238 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp9_) {
#line 958 "PasswordDialog.c"
		GCompareFunc _tmp12_;
		const gchar* _tmp13_;
		const gchar* _tmp14_;
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp12_ = g_strcmp0;
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp13_ = new_password;
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp14_ = confirm;
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp8_ = _tmp12_ (_tmp13_, _tmp14_) == 0;
#line 970 "PasswordDialog.c"
	} else {
#line 238 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp8_ = FALSE;
#line 974 "PasswordDialog.c"
	}
#line 238 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->is_new_password_valid = _tmp8_;
#line 241 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_reset_ok (self);
#line 235 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_free0 (confirm);
#line 235 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_free0 (new_password);
#line 984 "PasswordDialog.c"
}


static void
____lambda39__gtk_editable_changed (GtkEditable* _sender,
                                    gpointer self)
{
#line 235 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	___lambda39_ ((OnlineAccountsPasswordDialog*) self);
#line 994 "PasswordDialog.c"
}


static void
___lambda40_ (OnlineAccountsPasswordDialog* self)
{
	gchar* new_password = NULL;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* confirm = NULL;
	GtkEntry* _tmp4_;
	const gchar* _tmp5_;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	gboolean _tmp8_ = FALSE;
	gboolean _tmp9_ = FALSE;
	const gchar* _tmp10_;
#line 245 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->new_password_entry;
#line 245 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 245 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp2_ = _tmp1_;
#line 245 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 245 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	new_password = _tmp3_;
#line 246 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp4_ = self->priv->confirm_password_entry;
#line 246 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp5_ = gtk_entry_get_text (_tmp4_);
#line 246 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp6_ = _tmp5_;
#line 246 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp7_ = g_strdup (_tmp6_);
#line 246 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	confirm = _tmp7_;
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp10_ = new_password;
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (g_utf8_strlen (_tmp10_, (gssize) -1) > 0) {
#line 1038 "PasswordDialog.c"
		const gchar* _tmp11_;
#line 248 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp11_ = confirm;
#line 248 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp9_ = g_utf8_strlen (_tmp11_, (gssize) -1) > 0;
#line 1044 "PasswordDialog.c"
	} else {
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp9_ = FALSE;
#line 1048 "PasswordDialog.c"
	}
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp9_) {
#line 1052 "PasswordDialog.c"
		GCompareFunc _tmp12_;
		const gchar* _tmp13_;
		const gchar* _tmp14_;
#line 249 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp12_ = g_strcmp0;
#line 249 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp13_ = new_password;
#line 249 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp14_ = confirm;
#line 249 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp8_ = _tmp12_ (_tmp13_, _tmp14_) == 0;
#line 1064 "PasswordDialog.c"
	} else {
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp8_ = FALSE;
#line 1068 "PasswordDialog.c"
	}
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->is_new_password_valid = _tmp8_;
#line 250 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_reset_ok (self);
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_free0 (confirm);
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_free0 (new_password);
#line 1078 "PasswordDialog.c"
}


static void
____lambda40__gtk_editable_changed (GtkEditable* _sender,
                                    gpointer self)
{
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	___lambda40_ ((OnlineAccountsPasswordDialog*) self);
#line 1088 "PasswordDialog.c"
}


static void
___lambda41_ (OnlineAccountsPasswordDialog* self)
{
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->captcha_entry;
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp2_ = _tmp1_;
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->is_captcha_valid = g_utf8_strlen (_tmp2_, (gssize) -1) > 0;
#line 257 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_reset_ok (self);
#line 1108 "PasswordDialog.c"
}


static void
____lambda41__gtk_editable_changed (GtkEditable* _sender,
                                    gpointer self)
{
#line 255 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	___lambda41_ ((OnlineAccountsPasswordDialog*) self);
#line 1118 "PasswordDialog.c"
}


static void
___lambda42_ (OnlineAccountsPasswordDialog* self,
              GtkEntryIconPosition pos,
              GdkEventButton* event)
{
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_return_if_fail (event != NULL);
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (pos == GTK_ENTRY_ICON_SECONDARY) {
#line 262 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_signal_emit (self, online_accounts_password_dialog_signals[ONLINE_ACCOUNTS_PASSWORD_DIALOG_REFRESH_CAPTCHA_NEEDED_SIGNAL], 0);
#line 1133 "PasswordDialog.c"
	}
}


static void
____lambda42__gtk_entry_icon_release (GtkEntry* _sender,
                                      GtkEntryIconPosition icon_pos,
                                      GdkEventButton* event,
                                      gpointer self)
{
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	___lambda42_ ((OnlineAccountsPasswordDialog*) self, icon_pos, event);
#line 1146 "PasswordDialog.c"
}


static gboolean
online_accounts_password_dialog_real_set_parameters (OnlineAccountsDialog* base,
                                                     GHashTable* params)
{
	OnlineAccountsPasswordDialog * self;
	gboolean result = FALSE;
	GtkLabel* _tmp0_;
	const gchar* _tmp1_;
	GVariant* temp_string = NULL;
	gconstpointer _tmp2_;
	GtkEntry* _tmp3_;
	gboolean _tmp4_;
	GVariant* _tmp5_;
	const gchar* _tmp10_;
	const gchar* _tmp14_;
	gconstpointer _tmp17_;
	GVariant* _tmp18_;
	gconstpointer _tmp24_;
	GVariant* _tmp25_;
	gboolean _tmp28_;
	gboolean _tmp31_;
	gboolean _tmp34_;
#line 176 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self = (OnlineAccountsPasswordDialog*) base;
#line 176 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_return_val_if_fail (params != NULL, FALSE);
#line 177 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (ONLINE_ACCOUNTS_DIALOG_CLASS (online_accounts_password_dialog_parent_class)->set_parameters (G_TYPE_CHECK_INSTANCE_CAST (self, ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog), params) == FALSE) {
#line 178 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 178 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		return result;
#line 1182 "PasswordDialog.c"
	}
#line 181 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (online_accounts_password_dialog_validate_params (self, params) == FALSE) {
#line 182 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 182 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		return result;
#line 1190 "PasswordDialog.c"
	}
#line 185 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->provider_label;
#line 185 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp1_ = self->priv->display_name;
#line 185 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_label_set_label (_tmp0_, _tmp1_);
#line 187 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp2_ = g_hash_table_lookup (params, ONLINE_ACCOUNTS_KEY_USERNAME);
#line 187 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	temp_string = (GVariant*) _tmp2_;
#line 188 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp3_ = self->priv->username_entry;
#line 188 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp4_ = self->priv->query_username;
#line 188 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp3_, _tmp4_);
#line 189 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp5_ = temp_string;
#line 189 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp5_ != NULL) {
#line 1212 "PasswordDialog.c"
		const gchar* _tmp6_ = NULL;
		GVariant* _tmp7_;
		const gchar* _tmp8_;
		GtkEntry* _tmp9_;
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp7_ = temp_string;
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp8_ = g_variant_get_string (_tmp7_, NULL);
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp6_ = _tmp8_;
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		if (_tmp6_ == NULL) {
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
			_tmp6_ = "";
#line 1227 "PasswordDialog.c"
		}
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp9_ = self->priv->username_entry;
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_entry_set_text (_tmp9_, _tmp6_);
#line 1233 "PasswordDialog.c"
	}
#line 192 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp10_ = self->priv->forgot_password_url;
#line 192 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp10_ != NULL) {
#line 1239 "PasswordDialog.c"
		GtkLinkButton* _tmp11_;
		const gchar* _tmp12_;
		GtkLinkButton* _tmp13_;
#line 193 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp11_ = self->priv->forgot_button;
#line 193 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp12_ = self->priv->forgot_password_url;
#line 193 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_link_button_set_uri (_tmp11_, _tmp12_);
#line 194 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp13_ = self->priv->forgot_button;
#line 194 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object (_tmp13_, "activate-link", (GCallback) ____lambda36__gtk_link_button_activate_link, self, 0);
#line 1253 "PasswordDialog.c"
	}
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp14_ = self->priv->signup_url;
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp14_ != NULL) {
#line 1259 "PasswordDialog.c"
		GtkLinkButton* _tmp15_;
		const gchar* _tmp16_;
#line 203 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp15_ = self->priv->signup_button;
#line 203 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp16_ = self->priv->signup_url;
#line 203 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_link_button_set_uri (_tmp15_, _tmp16_);
#line 1268 "PasswordDialog.c"
	}
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp17_ = g_hash_table_lookup (params, ONLINE_ACCOUNTS_KEY_MESSAGE);
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	temp_string = (GVariant*) _tmp17_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp18_ = temp_string;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp18_ != NULL) {
#line 1278 "PasswordDialog.c"
		GtkLabel* _tmp19_;
		GVariant* _tmp20_;
		const gchar* _tmp21_;
		GtkLabel* _tmp22_;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp19_ = self->priv->message_label;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp20_ = temp_string;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp21_ = g_variant_get_string (_tmp20_, NULL);
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_label_set_label (_tmp19_, _tmp21_);
#line 209 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp22_ = self->priv->message_label;
#line 209 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_widget_show ((GtkWidget*) _tmp22_);
#line 1295 "PasswordDialog.c"
	} else {
		GtkLabel* _tmp23_;
#line 211 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp23_ = self->priv->message_label;
#line 211 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_widget_hide ((GtkWidget*) _tmp23_);
#line 1302 "PasswordDialog.c"
	}
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp24_ = g_hash_table_lookup (params, ONLINE_ACCOUNTS_KEY_CAPTCHA_URL);
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	temp_string = (GVariant*) _tmp24_;
#line 215 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp25_ = temp_string;
#line 215 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp25_ != NULL) {
#line 1312 "PasswordDialog.c"
		GVariant* _tmp26_;
		const gchar* _tmp27_;
#line 216 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp26_ = temp_string;
#line 216 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp27_ = g_variant_get_string (_tmp26_, NULL);
#line 216 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		self->priv->query_captcha = online_accounts_dialog_refresh_captcha ((OnlineAccountsDialog*) self, _tmp27_);
#line 1321 "PasswordDialog.c"
	}
#line 219 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp28_ = self->priv->query_username;
#line 219 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp28_) {
#line 1327 "PasswordDialog.c"
		GtkEntry* _tmp29_;
		GtkEntry* _tmp30_;
#line 220 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp29_ = self->priv->username_entry;
#line 220 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object ((GtkEditable*) _tmp29_, "changed", (GCallback) ____lambda37__gtk_editable_changed, self, 0);
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp30_ = self->priv->password_entry;
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object ((GtkEditable*) _tmp30_, "changed", (GCallback) ____lambda38__gtk_editable_changed, self, 0);
#line 1338 "PasswordDialog.c"
	}
#line 234 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp31_ = self->priv->query_confirm;
#line 234 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp31_) {
#line 1344 "PasswordDialog.c"
		GtkEntry* _tmp32_;
		GtkEntry* _tmp33_;
#line 235 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp32_ = self->priv->new_password_entry;
#line 235 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object ((GtkEditable*) _tmp32_, "changed", (GCallback) ____lambda39__gtk_editable_changed, self, 0);
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp33_ = self->priv->confirm_password_entry;
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object ((GtkEditable*) _tmp33_, "changed", (GCallback) ____lambda40__gtk_editable_changed, self, 0);
#line 1355 "PasswordDialog.c"
	}
#line 254 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp34_ = self->priv->query_captcha;
#line 254 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp34_) {
#line 1361 "PasswordDialog.c"
		GtkEntry* _tmp35_;
		GtkEntry* _tmp36_;
#line 255 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp35_ = self->priv->captcha_entry;
#line 255 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object ((GtkEditable*) _tmp35_, "changed", (GCallback) ____lambda41__gtk_editable_changed, self, 0);
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp36_ = self->priv->captcha_entry;
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object (_tmp36_, "icon-release", (GCallback) ____lambda42__gtk_entry_icon_release, self, 0);
#line 1372 "PasswordDialog.c"
	}
#line 266 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_reset_ok (self);
#line 268 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	result = TRUE;
#line 268 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	return result;
#line 1380 "PasswordDialog.c"
}


static void
__lambda35_ (OnlineAccountsPasswordDialog* self,
             const gchar* key)
{
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_return_if_fail (key != NULL);
#line 318 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_warning ("PasswordDialog.vala:318: %s", key);
#line 1392 "PasswordDialog.c"
}


static void
___lambda35__gfunc (gconstpointer data,
                    gpointer self)
{
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	__lambda35_ ((OnlineAccountsPasswordDialog*) self, (const gchar*) data);
#line 1402 "PasswordDialog.c"
}


static gboolean
online_accounts_password_dialog_validate_params (OnlineAccountsPasswordDialog* self,
                                                 GHashTable* params)
{
	gboolean result = FALSE;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_;
	gboolean _tmp12_ = FALSE;
	gboolean _tmp13_;
	GList* _tmp25_;
	GList* _tmp26_;
#line 271 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 271 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_return_val_if_fail (params != NULL, FALSE);
#line 273 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (g_hash_table_contains (params, ONLINE_ACCOUNTS_KEY_QUERY_USERNAME)) {
#line 1424 "PasswordDialog.c"
		gconstpointer _tmp0_;
#line 274 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp0_ = g_hash_table_lookup (params, ONLINE_ACCOUNTS_KEY_QUERY_USERNAME);
#line 274 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		self->priv->query_username = g_variant_get_boolean ((GVariant*) _tmp0_);
#line 1430 "PasswordDialog.c"
	}
#line 277 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (g_hash_table_contains (params, ONLINE_ACCOUNTS_KEY_QUERY_URL)) {
#line 1434 "PasswordDialog.c"
		gconstpointer _tmp1_;
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp1_ = g_hash_table_lookup (params, ONLINE_ACCOUNTS_KEY_QUERY_URL);
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		self->priv->query_url = g_variant_get_boolean ((GVariant*) _tmp1_);
#line 1440 "PasswordDialog.c"
	}
#line 281 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (g_hash_table_contains (params, ONLINE_ACCOUNTS_KEY_QUERY_PASSWORD)) {
#line 1444 "PasswordDialog.c"
		gconstpointer _tmp2_;
#line 282 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp2_ = g_hash_table_lookup (params, ONLINE_ACCOUNTS_KEY_QUERY_PASSWORD);
#line 282 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		self->priv->query_password = g_variant_get_boolean ((GVariant*) _tmp2_);
#line 1450 "PasswordDialog.c"
	}
#line 285 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (g_hash_table_contains (params, ONLINE_ACCOUNTS_KEY_CONFIRM)) {
#line 1454 "PasswordDialog.c"
		gconstpointer _tmp3_;
#line 286 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp3_ = g_hash_table_lookup (params, ONLINE_ACCOUNTS_KEY_CONFIRM);
#line 286 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		self->priv->query_confirm = g_variant_get_boolean ((GVariant*) _tmp3_);
#line 1460 "PasswordDialog.c"
	}
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp6_ = self->priv->query_username;
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp6_ == FALSE) {
#line 1466 "PasswordDialog.c"
		gboolean _tmp7_;
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp7_ = self->priv->query_password;
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp5_ = _tmp7_ == FALSE;
#line 1472 "PasswordDialog.c"
	} else {
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp5_ = FALSE;
#line 1476 "PasswordDialog.c"
	}
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp5_) {
#line 1480 "PasswordDialog.c"
		gboolean _tmp8_;
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp8_ = self->priv->query_confirm;
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp4_ = _tmp8_ == FALSE;
#line 1486 "PasswordDialog.c"
	} else {
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp4_ = FALSE;
#line 1490 "PasswordDialog.c"
	}
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp4_) {
#line 290 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_warning ("PasswordDialog.vala:290: No Valid Query found");
#line 291 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 291 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		return result;
#line 1500 "PasswordDialog.c"
	}
#line 294 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (g_hash_table_contains (params, ONLINE_ACCOUNTS_KEY_PASSWORD)) {
#line 1504 "PasswordDialog.c"
		gconstpointer _tmp9_;
		const gchar* _tmp10_;
		gchar* _tmp11_;
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp9_ = g_hash_table_lookup (params, ONLINE_ACCOUNTS_KEY_PASSWORD);
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp10_ = g_variant_get_string ((GVariant*) _tmp9_, NULL);
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp11_ = g_strdup (_tmp10_);
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_g_free0 (self->priv->old_password);
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		self->priv->old_password = _tmp11_;
#line 1518 "PasswordDialog.c"
	}
#line 298 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp13_ = self->priv->query_confirm;
#line 298 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp13_) {
#line 1524 "PasswordDialog.c"
		const gchar* _tmp14_;
#line 298 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp14_ = self->priv->old_password;
#line 298 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp12_ = _tmp14_ == NULL;
#line 1530 "PasswordDialog.c"
	} else {
#line 298 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp12_ = FALSE;
#line 1534 "PasswordDialog.c"
	}
#line 298 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp12_) {
#line 299 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_warning ("PasswordDialog.vala:299: Wrong params for confirm query");
#line 300 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 300 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		return result;
#line 1544 "PasswordDialog.c"
	}
#line 303 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (g_hash_table_contains (params, ONLINE_ACCOUNTS_KEY_DISPLAY_NAME)) {
#line 1548 "PasswordDialog.c"
		gconstpointer _tmp15_;
		const gchar* _tmp16_;
		gchar* _tmp17_;
#line 304 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp15_ = g_hash_table_lookup (params, ONLINE_ACCOUNTS_KEY_DISPLAY_NAME);
#line 304 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp16_ = g_variant_get_string ((GVariant*) _tmp15_, NULL);
#line 304 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp17_ = g_strdup (_tmp16_);
#line 304 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_g_free0 (self->priv->display_name);
#line 304 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		self->priv->display_name = _tmp17_;
#line 1562 "PasswordDialog.c"
	} else {
		gchar* _tmp18_;
#line 306 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp18_ = g_strdup (_ ("Other Account"));
#line 306 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_g_free0 (self->priv->display_name);
#line 306 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		self->priv->display_name = _tmp18_;
#line 1571 "PasswordDialog.c"
	}
#line 309 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (g_hash_table_contains (params, ONLINE_ACCOUNTS_KEY_FORGOT_PASSWORD_URL)) {
#line 1575 "PasswordDialog.c"
		gconstpointer _tmp19_;
		const gchar* _tmp20_;
		gchar* _tmp21_;
#line 310 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp19_ = g_hash_table_lookup (params, ONLINE_ACCOUNTS_KEY_FORGOT_PASSWORD_URL);
#line 310 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp20_ = g_variant_get_string ((GVariant*) _tmp19_, NULL);
#line 310 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp21_ = g_strdup (_tmp20_);
#line 310 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_g_free0 (self->priv->forgot_password_url);
#line 310 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		self->priv->forgot_password_url = _tmp21_;
#line 1589 "PasswordDialog.c"
	}
#line 313 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (g_hash_table_contains (params, ONLINE_ACCOUNTS_KEY_SIGNUP_URL)) {
#line 1593 "PasswordDialog.c"
		gconstpointer _tmp22_;
		const gchar* _tmp23_;
		gchar* _tmp24_;
#line 314 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp22_ = g_hash_table_lookup (params, ONLINE_ACCOUNTS_KEY_SIGNUP_URL);
#line 314 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp23_ = g_variant_get_string ((GVariant*) _tmp22_, NULL);
#line 314 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp24_ = g_strdup (_tmp23_);
#line 314 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_g_free0 (self->priv->signup_url);
#line 314 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		self->priv->signup_url = _tmp24_;
#line 1607 "PasswordDialog.c"
	}
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp25_ = g_hash_table_get_keys (params);
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp26_ = _tmp25_;
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_list_foreach (_tmp26_, ___lambda35__gfunc, self);
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	(_tmp26_ == NULL) ? NULL : (_tmp26_ = (g_list_free (_tmp26_), NULL));
#line 321 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	result = TRUE;
#line 321 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	return result;
#line 1621 "PasswordDialog.c"
}


static gboolean
online_accounts_password_dialog_real_refresh_captcha (OnlineAccountsDialog* base,
                                                      const gchar* uri)
{
	OnlineAccountsPasswordDialog * self;
	gboolean result = FALSE;
	gchar* filename = NULL;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	GtkImage* _tmp8_;
	const gchar* _tmp9_;
	gchar* used_filename = NULL;
	GtkImage* _tmp10_;
	gchar* _tmp11_;
	gchar* _tmp12_;
	const gchar* _tmp13_;
	gboolean is_valid = FALSE;
	GCompareFunc _tmp14_;
	const gchar* _tmp15_;
	const gchar* _tmp16_;
	gboolean _tmp17_;
	GError * _inner_error_ = NULL;
#line 324 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self = (OnlineAccountsPasswordDialog*) base;
#line 324 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_return_val_if_fail (uri != NULL, FALSE);
#line 325 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (uri == NULL) {
#line 326 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_warning ("PasswordDialog.vala:326: invalid captcha value : %s", uri);
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		((OnlineAccountsDialog*) self)->error_code = SIGNONUI_ERROR_BAD_CAPTCHA_URL;
#line 328 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 328 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		return result;
#line 1661 "PasswordDialog.c"
	}
#line 331 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	filename = NULL;
#line 1665 "PasswordDialog.c"
	{
		gchar* _tmp0_ = NULL;
		gchar* _tmp1_;
		gchar* _tmp2_;
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp1_ = g_filename_from_uri (uri, NULL, &_inner_error_);
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp0_ = _tmp1_;
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1676 "PasswordDialog.c"
			goto __catch3_g_error;
		}
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp2_ = _tmp0_;
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp0_ = NULL;
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_g_free0 (filename);
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		filename = _tmp2_;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_g_free0 (_tmp0_);
#line 1689 "PasswordDialog.c"
	}
	goto __finally3;
	__catch3_g_error:
	{
		GError* e = NULL;
		GError* _tmp3_;
		const gchar* _tmp4_;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		e = _inner_error_;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_inner_error_ = NULL;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp3_ = e;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp4_ = _tmp3_->message;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_critical ("PasswordDialog.vala:335: %s", _tmp4_);
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_g_error_free0 (e);
#line 1709 "PasswordDialog.c"
	}
	__finally3:
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1714 "PasswordDialog.c"
		gboolean _tmp5_ = FALSE;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_g_free0 (filename);
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_clear_error (&_inner_error_);
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		return _tmp5_;
#line 1724 "PasswordDialog.c"
	}
#line 338 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp6_ = filename;
#line 338 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp6_ == NULL) {
#line 339 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		g_warning ("PasswordDialog.vala:339: invalid captcha value : %s", uri);
#line 340 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		((OnlineAccountsDialog*) self)->error_code = SIGNONUI_ERROR_BAD_CAPTCHA_URL;
#line 341 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 341 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_g_free0 (filename);
#line 341 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		return result;
#line 1740 "PasswordDialog.c"
	}
#line 344 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp7_ = filename;
#line 344 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_debug ("PasswordDialog.vala:344: setting captcha : %s", _tmp7_);
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp8_ = self->priv->captcha_image;
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp9_ = filename;
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	gtk_image_set_from_file (_tmp8_, _tmp9_);
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp10_ = self->priv->captcha_image;
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_object_get (_tmp10_, "file", &_tmp11_, NULL);
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp12_ = _tmp11_;
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	used_filename = _tmp12_;
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp13_ = used_filename;
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_debug ("PasswordDialog.vala:347: Used file : %s", _tmp13_);
#line 348 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp14_ = g_strcmp0;
#line 348 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp15_ = filename;
#line 348 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp16_ = used_filename;
#line 348 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	is_valid = _tmp14_ (_tmp15_, _tmp16_) == 0;
#line 349 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp17_ = is_valid;
#line 349 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp17_ == FALSE) {
#line 350 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		((OnlineAccountsDialog*) self)->error_code = SIGNONUI_ERROR_BAD_CAPTCHA;
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_g_free0 (used_filename);
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_g_free0 (filename);
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		return result;
#line 1786 "PasswordDialog.c"
	}
#line 354 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->query_captcha = TRUE;
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	result = TRUE;
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_free0 (used_filename);
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_free0 (filename);
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	return result;
#line 1798 "PasswordDialog.c"
}


static GHashTable*
online_accounts_password_dialog_real_get_reply (OnlineAccountsDialog* base)
{
	OnlineAccountsPasswordDialog * self;
	GHashTable* result = NULL;
	GHashTable* table = NULL;
	GHashTable* _tmp0_;
	gchar* _tmp1_;
	GtkEntry* _tmp2_;
	const gchar* _tmp3_;
	const gchar* _tmp4_;
	GVariant* _tmp5_;
	gchar* _tmp6_;
	GtkEntry* _tmp7_;
	const gchar* _tmp8_;
	const gchar* _tmp9_;
	GVariant* _tmp10_;
#line 358 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self = (OnlineAccountsPasswordDialog*) base;
#line 359 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp0_ = ONLINE_ACCOUNTS_DIALOG_CLASS (online_accounts_password_dialog_parent_class)->get_reply (G_TYPE_CHECK_INSTANCE_CAST (self, ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog));
#line 359 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	table = _tmp0_;
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp1_ = g_strdup (ONLINE_ACCOUNTS_KEY_USERNAME);
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp2_ = self->priv->username_entry;
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp3_ = gtk_entry_get_text (_tmp2_);
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp4_ = _tmp3_;
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp5_ = g_variant_new_string (_tmp4_);
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_variant_ref_sink (_tmp5_);
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_hash_table_insert (table, _tmp1_, _tmp5_);
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp6_ = g_strdup (ONLINE_ACCOUNTS_KEY_PASSWORD);
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp7_ = self->priv->password_entry;
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp8_ = gtk_entry_get_text (_tmp7_);
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp9_ = _tmp8_;
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp10_ = g_variant_new_string (_tmp9_);
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_variant_ref_sink (_tmp10_);
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_hash_table_insert (table, _tmp6_, _tmp10_);
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	result = table;
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	return result;
#line 1857 "PasswordDialog.c"
}


static void
online_accounts_password_dialog_reset_ok (OnlineAccountsPasswordDialog* self)
{
	gboolean state = FALSE;
	gboolean _tmp0_;
	gboolean _tmp10_;
	GtkButton* _tmp14_;
	gboolean _tmp15_;
	gboolean _tmp16_;
	gboolean _tmp17_;
#line 365 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_return_if_fail (self != NULL);
#line 366 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	state = FALSE;
#line 368 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->query_username;
#line 368 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp0_) {
#line 1879 "PasswordDialog.c"
		gboolean _tmp1_ = FALSE;
		gboolean _tmp2_;
#line 369 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp2_ = self->priv->is_username_valid;
#line 369 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		if (_tmp2_) {
#line 1886 "PasswordDialog.c"
			gboolean _tmp3_;
#line 369 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
			_tmp3_ = self->priv->is_password_valid;
#line 369 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
			_tmp1_ = _tmp3_;
#line 1892 "PasswordDialog.c"
		} else {
#line 369 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
			_tmp1_ = FALSE;
#line 1896 "PasswordDialog.c"
		}
#line 369 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		state = _tmp1_;
#line 1900 "PasswordDialog.c"
	} else {
		gboolean _tmp4_;
#line 370 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp4_ = self->priv->query_password;
#line 370 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		if (_tmp4_) {
#line 1907 "PasswordDialog.c"
			gboolean _tmp5_;
#line 371 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
			_tmp5_ = self->priv->is_password_valid;
#line 371 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
			state = _tmp5_;
#line 1913 "PasswordDialog.c"
		} else {
			gboolean _tmp6_;
#line 372 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
			_tmp6_ = self->priv->query_confirm;
#line 372 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
			if (_tmp6_) {
#line 1920 "PasswordDialog.c"
				gboolean _tmp7_ = FALSE;
				gboolean _tmp8_;
#line 373 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
				_tmp8_ = self->priv->is_password_valid;
#line 373 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
				if (_tmp8_) {
#line 1927 "PasswordDialog.c"
					gboolean _tmp9_;
#line 373 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
					_tmp9_ = self->priv->is_new_password_valid;
#line 373 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
					_tmp7_ = _tmp9_;
#line 1933 "PasswordDialog.c"
				} else {
#line 373 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
					_tmp7_ = FALSE;
#line 1937 "PasswordDialog.c"
				}
#line 373 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
				state = _tmp7_;
#line 1941 "PasswordDialog.c"
			}
		}
	}
#line 375 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp10_ = self->priv->query_captcha;
#line 375 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp10_) {
#line 1949 "PasswordDialog.c"
		gboolean _tmp11_ = FALSE;
		gboolean _tmp12_;
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp12_ = state;
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		if (_tmp12_) {
#line 1956 "PasswordDialog.c"
			gboolean _tmp13_;
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
			_tmp13_ = self->priv->is_captcha_valid;
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
			_tmp11_ = _tmp13_;
#line 1962 "PasswordDialog.c"
		} else {
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
			_tmp11_ = FALSE;
#line 1966 "PasswordDialog.c"
		}
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		state = _tmp11_;
#line 1970 "PasswordDialog.c"
	}
#line 378 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp14_ = self->priv->save_button;
#line 378 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp15_ = gtk_widget_get_sensitive ((GtkWidget*) _tmp14_);
#line 378 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp16_ = _tmp15_;
#line 378 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_tmp17_ = state;
#line 378 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	if (_tmp16_ != _tmp17_) {
#line 1982 "PasswordDialog.c"
		GtkButton* _tmp18_;
		gboolean _tmp19_;
#line 379 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp18_ = self->priv->save_button;
#line 379 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		_tmp19_ = state;
#line 379 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp18_, _tmp19_);
#line 1991 "PasswordDialog.c"
	}
}


static void
online_accounts_password_dialog_class_init (OnlineAccountsPasswordDialogClass * klass)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	g_type_class_add_private (klass, sizeof (OnlineAccountsPasswordDialogPrivate));
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	((OnlineAccountsDialogClass *) klass)->set_parameters = (gboolean (*) (OnlineAccountsDialog *, GHashTable*)) online_accounts_password_dialog_real_set_parameters;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	((OnlineAccountsDialogClass *) klass)->refresh_captcha = (gboolean (*) (OnlineAccountsDialog *, const gchar*)) online_accounts_password_dialog_real_refresh_captcha;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	((OnlineAccountsDialogClass *) klass)->get_reply = (GHashTable* (*) (OnlineAccountsDialog *)) online_accounts_password_dialog_real_get_reply;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = online_accounts_password_dialog_finalize;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_signals[ONLINE_ACCOUNTS_PASSWORD_DIALOG_REFRESH_CAPTCHA_NEEDED_SIGNAL] = g_signal_new ("refresh-captcha-needed", ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 2013 "PasswordDialog.c"
}


static void
online_accounts_password_dialog_instance_init (OnlineAccountsPasswordDialog * self)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv = ONLINE_ACCOUNTS_PASSWORD_DIALOG_GET_PRIVATE (self);
#line 39 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->query_url = FALSE;
#line 40 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->query_username = FALSE;
#line 41 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->query_password = FALSE;
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->query_confirm = FALSE;
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->query_captcha = FALSE;
#line 45 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->is_username_valid = FALSE;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->is_password_valid = FALSE;
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->is_new_password_valid = FALSE;
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self->priv->is_captcha_valid = FALSE;
#line 2040 "PasswordDialog.c"
}


static void
online_accounts_password_dialog_finalize (GObject * obj)
{
	OnlineAccountsPasswordDialog * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, OnlineAccountsPasswordDialog);
#line 25 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->url_entry);
#line 26 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->username_entry);
#line 27 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->password_entry);
#line 28 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->new_password_entry);
#line 29 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->confirm_password_entry);
#line 30 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->captcha_entry);
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 32 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->save_button);
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->forgot_button);
#line 34 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->signup_button);
#line 35 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->captcha_image);
#line 36 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->message_label);
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->provider_label);
#line 50 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_free0 (self->priv->display_name);
#line 51 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_free0 (self->priv->old_password);
#line 52 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_free0 (self->priv->forgot_password_url);
#line 53 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	_g_free0 (self->priv->signup_url);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-a4241c8d65ee700b82b0ec1e5297dcc238196b33/src/Authentification/PasswordDialog.vala"
	G_OBJECT_CLASS (online_accounts_password_dialog_parent_class)->finalize (obj);
#line 2086 "PasswordDialog.c"
}


GType
online_accounts_password_dialog_get_type (void)
{
	static volatile gsize online_accounts_password_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&online_accounts_password_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (OnlineAccountsPasswordDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) online_accounts_password_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (OnlineAccountsPasswordDialog), 0, (GInstanceInitFunc) online_accounts_password_dialog_instance_init, NULL };
		GType online_accounts_password_dialog_type_id;
		online_accounts_password_dialog_type_id = g_type_register_static (ONLINE_ACCOUNTS_TYPE_DIALOG, "OnlineAccountsPasswordDialog", &g_define_type_info, 0);
		g_once_init_leave (&online_accounts_password_dialog_type_id__volatile, online_accounts_password_dialog_type_id);
	}
	return online_accounts_password_dialog_type_id__volatile;
}



